Bug 801112 - Moving VM between storage domains doesn't respect thin provisioning
Moving VM between storage domains doesn't respect thin provisioning
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Einav Cohen
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 12:22 EST by Robin Bowes
Modified: 2016-01-28 16:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Bowes 2012-03-07 12:22:12 EST
Using oVirt 3.0.0 on Fedora 16:

# rpm -q ovirt-engine
ovirt-engine-3.0.0_0001-1.6.fc16.x86_64

I created a test VM with a 5GB, thin provisioned disk in data storage domain "data". This is the size of the data store on disk:

1075192	data
24	data2
36	export
276520	iso

I then added a 2nd data storage domain, cunningly named data2, and moved the VM to it. This is the size of the store on disk:

48	data
5242916	data2
36	export
276520	iso

The VM has indeed been moved from data to data2, but it is no longer thinly provisioned.
Comment 1 Itamar Heim 2012-12-17 02:40:57 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.